Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.light
Interface PositionalLightIface

All Superinterfaces:
  LightIface

All Known Subinterfaces:
  SpotLightIface

All Known Implementing Classes:
  PositionalLight, ShaderSpotLight, SpotLight

    public interface PositionalLightIface

extends LightIface

This interface specifies neccessar ymethods fot positional lights

Author:
  Frank Bruns

Method Summary
`Point3D` | `getPosition()` Returns the position of the light as new Point3D object
`void` | `setPosition(float x, float y, float z)` Sets the position of the light
`void` | `setPosition(Point3D pos)` Sets the position of the light
`void` | `setX(float x)` Sets the x-position of the light
`void` | `setY(float y)` Sets the y-position of the light
`void` | `setZ(float z)` Sets the z-position of the light

Methods inherited from interface de.rico.engine.effect.light.LightIface
`bind, destroy, release, setEnabled`

Method Detail

### getPosition

    Point3D getPosition()

  Returns the position of the light as new Point3D object

  Returns:
    the light's position

### setPosition

    void setPosition(Point3D pos)

  Sets the position of the light

  Parameters:
    `pos` - light position

### setPosition

    void setPosition(float x,
                     float y,
                     float z)

  Sets the position of the light

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate

### setX

    void setX(float x)

  Sets the x-position of the light

  Parameters:
    `x` - new x-coordinate

### setY

    void setY(float y)

  Sets the y-position of the light

  Parameters:
    `y` - new y-coordinate

### setZ

    void setZ(float z)

  Sets the z-position of the light

  Parameters:
    `z` - new z-coordinate

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD